(in-package :ucw-intro)

(defvar *www-root* (merge-pathnames (make-pathname :directory '(:relative "www"))
				    (asdf:component-pathname (asdf:find-system :ucw-intro))))

(defparameter *ucw-intro-application* (make-instance 'cookie-session-application
						     :url-prefix "/ucw-intro/"
						     :www-roots (list *www-root*)
						     :debug-on-error t))

(defcomponent hello-world (simple-window-component) ()
	      (:default-initargs :title "hi"
		:stylesheet '("stylesheet.css" "stylesheet2.css")
		:content-type "text/html; charset=utf-8;"
		:javascript '((:src "dojo.js")
			      (:js (dojo.require "dojo.event.*"))
			      (:script "var foo = 3;")))
	      (:entry-point "^(|index.ucw)$" (:application *ucw-intro-application* :class regexp-entry-point))
	      (:render () (<:as-html "hello world")))
